Name:           gnome-contacts
Version:        3.4.1
Release:        1%{?dist}
Summary:        Contacts manager for GNOME

License:        GPLv2+
URL:            https://live.gnome.org/ThreePointOne/Features/Contacts
#VCS: http://git.gnome.org/browse/gnome-contacts/
Source0:        http://download.gnome.org/sources/%{name}/3.3/%{name}-%{version}.tar.xz

BuildRequires:  folks-devel
BuildRequires:  gtk3-devel
BuildRequires:  vala-devel
BuildRequires:  intltool
BuildRequires:  libnotify-devel
BuildRequires:  gnome-desktop3-devel
BuildRequires:  desktop-file-utils

%description
%{name} is a standalone contacts manager for GNOME desktop.

%prep
%setup -q

%build
#Until we have vala 0.14 in rawhide:
sed -i 's,0.14.0,0.13.0,g' configure
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS TODO ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.gschema.xml


%changelog
* Mon Apr 30 2012 Richard Hughes <hughsient@gmail.com> - 3.4.1-1
- Update to 3.4.1

* Tue Apr 24 2012 Kalev Lember <kalevlember@gmail.com> - 3.4.0-2
- Silence rpm scriptlet output

* Tue Mar 27 2012 Richard Hughes <hughsient@gmail.com> - 3.4.0-1
- Update to 3.4.0

* Wed Mar 21 2012 Kalev Lember <kalevlember@gmail.com> - 3.3.92-1
- Update to 3.3.92

* Tue Mar  6 2012 Matthias Clasen <mclasen@redhat.com> - 3.3.91-1
- Update to 3.3.91

* Sun Feb 26 2012 Matthias Clasen <mclasen@redhat.com> - 3.3.90-1
- Update to 3.3.90

* Tue Feb  7 2012 Matthias Clasen <mclasen@redhat.com> - 3.3.4-1
- Update to 3.3.4

* Tue Jan 17 2012 Matthias Clasen <mclasen@redhat.com> - 3.3.3-1
- Update to 3.3.3

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Matthias Clasen <mclasen@redhat.com> - 3.3.1-1
- Update to 3.3.1

* Thu Nov 24 2011 Tomas Bzatek <tbzatek@redhat.com> - 3.2.2-3
- Rebuilt for new eds

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
- Rebuilt for glibc bug#747377

* Thu Oct 20 2011 Elad Alfassa <elad@fedoraproject.org> - 3.2.2-1
- Upstream bugfix release 3.2.2
- Fixes RHBZ #743827, #743989

* Tue Oct 18 2011 Elad Alfassa <elad@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1 (Translation updates)

* Tue Sep 27 2011 Elad Alfassa <elad@fedoraproject.org> - 3.2.0.1-1
- New upstream release

* Tue Sep 20 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.5.2-1
- New upstream release (mainly contact linking support)

* Wed Sep 07 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.4.1-1
- New upstream release (fix a crash).

* Wed Sep 07 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.4-1
- New upstream release:
- *Unique application instance support
- *Support browsing for avatar file
- *Support deleting (some) contacts
- *Support linking contacts
- *Support for new fields:
-  * nickname
-  * birthday (readonly)
-  * company/title/etc (readonly)
- * Lots of small UI tweaks

* Tue Aug 30 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.3-1
- New upstream version

* Mon Aug 22 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.1.2-2
- Rebuld for eds.

* Tue Aug 16 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.2-0
- New upstream release

* Sun Aug 14 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.1-2
- Rebuilt to fix broken libfolks dependencies

* Tue Jul 05 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1

* Sun Jun 19 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.0-3
- Fix unowned directory

* Sun Jun 19 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.0-2
- Add missing doc files.
- Use package names instead of pkgconfig() in BuildRequires

* Mon Jun 13 2011 Elad Alfassa <elad@fedoraproject.org> - 0.1.0-1
- Initial packaging


